{ config, pkgs, ... }:
{
    services.xserver = {
        enable = true;
        desktopManager = {
            xfce.enable = true;
            xterm.enable = false;
        };
        displayManager = {
            lightdm.enable = true;
        };
    };
    services.displayManager = {
        defaultSession = "xfce";
        autoLogin.enable = true;
        autoLogin.user = "fruchti";
    };
    services.libinput.enable = true;
    nixpkgs.config.pulseaudio = true;
    hardware.pulseaudio.enable = true;
    hardware.bluetooth.enable = true;
    services.blueman.enable = true;
    # environment.xfce.excludePackages = with pkgs.xfce; [
    #     xfce4-terminal
    # ];
    environment.systemPackages = with pkgs; [
        xfce.xfce4-whiskermenu-plugin
        xfce.xfce4-pulseaudio-plugin
        xfce.xfce4-volumed-pulse
        xfce.xfwm4-themes
        pinentry-gtk2
        lounge-gtk-theme
        hackneyed
        blueman
        gnome.file-roller
    ];
    security.pam.services.lightdm.enableGnomeKeyring = true;
    services.gnome.gnome-keyring.enable = true;

    services.cpupower-gui.enable = true;

    programs.gnupg.agent.pinentryPackage = pkgs.pinentry-gtk2;
    services.pcscd.enable = true;
    services.dbus.packages = [ pkgs.gcr ];
}
